### Enumeration

# Clutter ContentGravity

#### Declaration

    enum Clutter.ContentGravity

#### Description [src]

Controls the alignment of the `ClutterContent` inside a `ClutterActor`.

#### Members

`CLUTTER_CONTENT_GRAVITY_TOP_LEFT`

  Align the content to the top left corner.

  - Value: `0`
  - Available since: 14
`CLUTTER_CONTENT_GRAVITY_TOP`

  Align the content to the top edge.

  - Value: `1`
  - Available since: 14
`CLUTTER_CONTENT_GRAVITY_TOP_RIGHT`

  Align the content to the top right corner.

  - Value: `2`
  - Available since: 14
`CLUTTER_CONTENT_GRAVITY_LEFT`

  Align the content to the left edge.

  - Value: `3`
  - Available since: 14
`CLUTTER_CONTENT_GRAVITY_CENTER`

  Align the content to the center.

  - Value: `4`
  - Available since: 14
`CLUTTER_CONTENT_GRAVITY_RIGHT`

  Align the content to the right edge.

  - Value: `5`
  - Available since: 14
`CLUTTER_CONTENT_GRAVITY_BOTTOM_LEFT`

  Align the content to the bottom left corner.

  - Value: `6`
  - Available since: 14
`CLUTTER_CONTENT_GRAVITY_BOTTOM`

  Align the content to the bottom edge.

  - Value: `7`
  - Available since: 14
`CLUTTER_CONTENT_GRAVITY_BOTTOM_RIGHT`

  Align the content to the bottom right corner.

  - Value: `8`
  - Available since: 14
`CLUTTER_CONTENT_GRAVITY_RESIZE_FILL`

  Resize the content to fill the allocation.

  - Value: `9`
  - Available since: 14
`CLUTTER_CONTENT_GRAVITY_RESIZE_ASPECT`

  Resize the content to remain within the allocation, while maintaining the aspect ratio.

  - Value: `10`
  - Available since: 14